## -*- coding: utf-8; mode: python; -*-
# -*- coding: utf-8; -*-
"""
${name} setup script
"""

import os
from setuptools import setup, find_packages


here = os.path.abspath(os.path.dirname(__file__))
exec(open(os.path.join(here, '${python_name}', '_version.py')).read())
README = open(os.path.join(here, 'README.md')).read()


requires = [

    % if has_db:
    'psycopg2',
    % endif

    % if has_web:
    'Tailbone',
    % elif has_db:
    'rattail[db]',
    % else:
    'rattail',
    % endif

    % if uses_fabric:
    'rattail-fabric2',
    % endif

    % if integrates_catapult:
    # TODO: must cap this for now, b/c it breaks Catapult integration?!
    # (something about "Syntax error near 'ROWS'" with grid queries)
    'SQLAlchemy<1.3',
    'onager',
    'rattail-onager',
    % if has_web:
    'tailbone-onager',
    % endif
    % endif

    % if integrates_locsms:
    'luckysmores',
    'rattail-luckysmores',
    % if has_web:
    'tailbone-locsms',
    % endif
    % endif

    # TODO: these are needed to build/release packages
    #'build',
    #'invoke',
    #'twine',
]


setup(
    name = "${python_project_name}",
    version = __version__,
    author = "Your Name",
    author_email = "you@example.com",
    # url = "https://${slug}.example.com/",
    description = "Custom Rattail project for ${organization}",
    long_description = README,

    classifiers = [

        # TODO: remove this if you intend to publish your project
        # (it's here by default, to prevent accidental publishing)
        'Private :: Do Not Upload',

        'Development Status :: 3 - Alpha',
        'Environment :: Console',
        % if has_web or has_web_api:
        'Environment :: Web Environment',
        'Framework :: Pyramid',
        % endif
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Topic :: Office/Business',
    ],

    install_requires = requires,
    packages = find_packages(),
    include_package_data = True,

    entry_points = {

        'rattail.config.extensions': [
            '${python_name} = ${python_name}.config:${studly_name}Config',
        ],

        'console_scripts': [
            '${python_name} = ${python_name}.commands:main',
        ],

        '${python_name}.commands': [
            'hello = ${python_name}.commands:HelloWorld',
            'install = ${python_name}.commands:Install',
        ],
        % if has_web:

        'paste.app_factory': [
            'main = ${python_name}.web.app:main',
        ],
        % endif
    },
)
